camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Onder SEZGIN <ondersez...@gmail.com>
Subject Re: JDK 7 on builds.apache.org
Date Fri, 07 Jul 2017 05:59:58 GMT
Hi Zoran/Claus,

I am not sure where i read, or i don't remember if i experienced it or not
or whatever,
I keep in mind like;

JDK6 -> 2.16.X
JDK7 -> 2.17.X
JDK8-> 2.18.X

Not sure if it is like

JDK9 -> 2.19.X and 2.20.X

How about we have compatibility matrix and platform's version details (like
Spring Boot 1.5.X etc..) on website/wiki/github read me?


On Wed, Jul 5, 2017 at 8:57 PM, Claus Ibsen <claus.ibsen@gmail.com> wrote:

> Hi Zoran
>
> Thanks for the heads-up. We no longer support JDK7 so that is good
> timing. The Camel 2.18.x release requires JDK8.
>
> On Wed, Jul 5, 2017 at 1:31 PM, Zoran Regvart <zoran@regvart.com> wrote:
> > Hi Cameleers,
> > just as a hint if we want to build 2.17.x on builds.apache.org, the
> > planned Jenkins upgrade next Saturday will make those incompatible as
> > Jenkins will not support running Maven jobs on JDK 7.
> >
> > See discussion on buillds mailing list[1].
> >
> > zoran
> >
> > [1] https://mail-archives.apache.org/mod_mbox/www-builds/
> 201706.mbox/%3C573832AC-086E-40DA-9CAB-C9D316968CE2%4016degrees.com.au%3E
> > --
> > Zoran Regvart
>
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message